package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.entities.PencatatanSuhuMesin;
import com.jasamedika.medifirst2000.vo.PencatatanSuhuMesinVO;

public interface PencatatanSuhuMesinService <T> extends BaseVoService<PencatatanSuhuMesin, PencatatanSuhuMesinVO, String> {

	Map<String, Object> addPencatatanSuhuMesin(PencatatanSuhuMesinVO vo);

	Map<String, Object> updatePencatatanSuhuMesin(PencatatanSuhuMesinVO vo);

	Map<String, Object> findAllPencatatanSuhuMesin();
	
	Map<String, Object> getMesin();
	
	Map<String, Object> getPencatatanSuhuMesin();
	
	Map<String, Object> savePencatatanSuhuMesinGrafik(PencatatanSuhuMesinVO vo);
	
	Map<String, Object> getPencatatanSuhuMesinGrafik();

	
}
